Protonvpn-cli no longer works :(

Forum Forums General Software Protonvpn-cli no longer works :(

  • This topic has 7 replies, 5 voices, and was last updated Jun 17-1:38 am by feliX.
Viewing 8 posts - 1 through 8 (of 8 total)
  • Author
    Posts
  • #136674
    Member
    Vincent17

      Hello,
      I occasionally use protonvpn, via the protonvpn-cli from rafficer (no systemd dependency) installed as I described here.
      It worked last week, now it doesn’t. I can still connect with openvpn (usually) but the cli is convenient because it can select the fastest server, whereas with ovpn you have to choose a server for which you have downloaded a config and hope it’s not too busy, or retired.
      The message produced by protonvpn-cli is

      [!] There was an error with accessing the ProtonVPN API.
      [!] Please make sure your connection is working properly!
      [!] HTTP Error Code: 422

      This issue was reported in reddit 2 days ago. One user said updating to the latest version solved the problem; I already have the latest version. The official version requires systemd.

      I wonder if anyone in antiX community has figured out what’s going on with proton.

      #136683
      Member
      PPC

        I wonder if anyone in antiX community has figured out what’s going on with proton

        I’m not a protonvpn user, but what happened seems simple:
        – the proton team changed something on their service and the older version of protonvpn-cli no longer works with that new version
        – an updated version of protonvpn-cli was created, to work around those changes
        – it seems that the updated version of protonvpn-cli does not yet have a systemd free version (required for it to work under antiX, that does not use systemd). It will have to be created

        What you need to do is ask if someone here (or over at MX-Linux) can package the latest version of that application, so it works in antiX and MX (when it’s running without systemd)

        Edit:
        I took a closer look at the first link you posted, and got to https://github.com/Rafficer/linux-cli-community/releases/tag/v2.2.12 – the latest version of that app seems to be 2 weeks old. According to their documentation, you can try to update it running this command on the terminal (enter your password, if asked to):

        sudo pip3 install protonvpn-cli --upgrade

        P.

        • This reply was modified 3 months ago by PPC.
        #136764
        Member
        Vincent17

          Thanks for the reply,PPS

          the proton team changed something on their service and the older version of protonvpn-cli no longer works with that new version

          That’s what someone on the reddit said, and added that users of non-mainstream linux distros are not high on the priority list. To my knowledge, the proton team has never said they would provide systemd-independent app. The latest community cli does not work here, so I continue to use openvpn and wait for developments.
          Additional comments:
          Since about 6 months ago, the app required to be installed in a virtual environment via pipx
          On the artix forum it was claimed that a small change in the official v3 cli allowed it to function without systemd: link. I have not been able to try this out since I can’t meet the dependencies, but it might be of interest to someone who is more worried about this than I am.
          cheers

          #145024
          Member
          feliX

            Hello everyone,

            As a beginner, I recently started using antiX on an old netbook with an Intel Atom CPU. It is quite fast on the old computer and I got almost everything working. But now I have a problem with Proton VPN. I have installed the community protonvpn-cli (version 2.2.12) and I also get this error message. Is there a solution in the meantime?

            [!] There was an error with accessing the ProtonVPN API.
            [!] Please make sure your connection is working properly!
            [!] HTTP Error Code: 422

            I would also use the original program as described at https://protonvpn.com/support/official-linux-vpn-debian/. But this does not work either. The GUI icon appears in the menu, but the program does not start. It does not work in the terminal either:

            $ /usr/bin/protonvpn-app
            Traceback (most recent call last):
              File "/usr/lib/python3/dist-packages/proton/vpn/killswitch/interface/killswitch.py", line 57, in get
                return Loader.get("killswitch", class_name=class_name)
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
              File "/usr/lib/python3/dist-packages/proton/loader/loader.py", line 113, in get
                raise RuntimeError(f"Loader: couldn't find an acceptable implementation for {type_name}.")
            RuntimeError: Loader: couldn't find an acceptable implementation for killswitch.
            The above exception was the direct cause of the following exception:
            Traceback (most recent call last):
              File "/usr/bin/protonvpn-app", line 33, in <module>
                sys.exit(load_entry_point('proton-vpn-gtk-app==4.3.2', 'console_scripts', 'protonvpn-app')())
                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
              File "/usr/lib/python3/dist-packages/proton/vpn/app/gtk/__main__.py", line 34, in main
                controller = Controller.get(executor)
                             ^^^^^^^^^^^^^^^^^^^^^^^^
              File "/usr/lib/python3/dist-packages/proton/vpn/app/gtk/controller.py", line 59, in get
                executor.submit(controller.initialize_vpn_connector).result()
              File "/usr/lib/python3.11/concurrent/futures/_base.py", line 456, in result
                return self.__get_result()
                       ^^^^^^^^^^^^^^^^^^^
              File "/usr/lib/python3.11/concurrent/futures/_base.py", line 401, in __get_result
                raise self._exception
              File "/usr/lib/python3/dist-packages/proton/vpn/app/gtk/controller.py", line 94, in initialize_vpn_connector
                self._connector = await self._api.get_vpn_connector()
                                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
              File "/usr/lib/python3/dist-packages/proton/vpn/core/api.py", line 58, in get_vpn_connector
                vpn_connector = await VPNConnector.get_instance(settings)
                                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
              File "/usr/lib/python3/dist-packages/proton/vpn/connection/vpnconnector.py", line 64, in get_instance
                cls._instance = VPNConnector(settings, kill_switch=kill_switch)
                                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
              File "/usr/lib/python3/dist-packages/proton/vpn/connection/vpnconnector.py", line 86, in __init__
                self._kill_switch = kill_switch or KillSwitch.get()()
                                                   ^^^^^^^^^^^^^^^^
              File "/usr/lib/python3/dist-packages/proton/vpn/killswitch/interface/killswitch.py", line 59, in get
                raise MissingKillSwitchBackendDetails(excp) from excp
            proton.vpn.killswitch.interface.exceptions.MissingKillSwitchBackendDetails: Loader: couldn't find an acceptable implementation for killswitch.

            Does anyone else have an idea? If necessary, I use an openvpn, but that’s a bit cumbersome. I would prefer a program with all functions (fastest server, etc.).

            Thanks and best regards

            #145103
            Member
            Robin

              That looks like a stern bug in their Protonvpn program.
              Please report your findings following the instructions found at https://protonvpn.com/support/report-a-bug/#linux and include your “Traceback” from above, so the issue can be fixed in their next version, or they provide a special hotfix workaround to you.

              Windows is like a submarine. Open a window and serious problems will start.

              #145112
              Member
              abc-nix

                I had it installed since last time, and decided to test it out.

                apt list --installed proton*
                proton-vpn-gnome-desktop/unknown,now 0.2.0-1 all [installed]
                proton-vpn-gtk-app/unknown,now 4.3.2 all [installed,automatic]
                protonvpn-stable-release/unknown,now 1.0.3-3 all [installed]

                I also have networkmanager installed instead of connman, and the openvpn addon.
                apt list –installed network-manager*

                network-manager-gnome/testing,now 1.36.0-1 amd64 [installed]
                network-manager-openvpn-gnome/testing,now 1.11.0-1 amd64 [installed]
                network-manager-openvpn/testing,now 1.11.0-1 amd64 [installed,automatic]
                network-manager/testing,now 1.48.0-1 amd64 [installed,automatic]

                (you will need to create your own runit or sysvinit service script; you can read the related post in the forum).

                I got it to work, only when the nm-applet was active. I can confirm that it is possible to make it work (on antiX with testing repos, elogind and policykit).
                Previously I only tested with the openvpn plugin, and that also worked with network-manager.

                If you cannot figure this out, send me a reminder on Friday to check on this during the weekend.

                #145294
                Member
                Vincent17

                  In a March 2024 reddit post, ProtonSupportTeam says “The community CLI is no longer supported, since we’ve introduced new features…that aren’t compatible with the community CLI.” I can’t find any sign that anyone is working to update it.

                  ProtonSupportTeam mentions wireguard, which I tried briefly. It was fast and reliable establishing the connection, but to get internet I had to set my router firewall to low protection, which I don’t want to do. MAC passthrough worked but created other problems. I have never tried it on public wifi.

                  I get by with openvpn. I downloaded a couple dozen config files and pick one at random to connect. If it takes too long, I hang up and try another. I’m too lazy to log in and check server loads.

                  #145710
                  Member
                  feliX

                    Thank you very much for your answers. I have written to ProtonVPN support. Unfortunately, they only told me succinctly that only the original Debian is supported:

                    Please note that we only officially support Linux on Debian, Ubuntu, and Fedora. We haven’t officially tested the Linux application on the specific Linux distro that you are using, therefore it is not officially supported and we will be unable to guarantee that it will work as intended nor provide extensive troubleshooting steps.

                    I cannot test this. Has anyone tested it yet?

                    I have also tried OpenVPN and Wireguard out of necessity. Apart from the fact that it is inconvenient, both seem to work as in the ProtonVPN instructions. There is also no error message or similar. Nevertheless, my IP is not masked (tested with whatismyip and similar services). I probably won’t get any help from support. 🙁 I would try it as described by abc-nix. But it looks quite complicated.

                  Viewing 8 posts - 1 through 8 (of 8 total)
                  • You must be logged in to reply to this topic.